www.cendio.com
Bug 3331 - Add support for WTS font smoothing (ClearType)
: Add support for WTS font smoothing (ClearType)
Status: CLOSED FIXED
: ThinLinc
| rdesktop (deprecated)
: 3.0.0
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
: 2036
  Show dependency treegraph
 
Reported: 2009-11-23 16:14 by
Modified: 2017-03-20 17:09 (History)
Acceptance Criteria:


Attachments
Side-by-side comparison of screenshots from Windows 2008R2 Server (90.46 KB, image/png)
2016-12-06 15:14, Thomas Nilefalk
Details
Side-by-side comparison of screenshots from Windows 2012 Server (132.90 KB, image/png)
2016-12-06 15:15, Thomas Nilefalk
Details
Side-by-side comparison of screenshots from Windows 2008R2 Server (281.31 KB, image/png)
2016-12-06 16:21, Thomas Nilefalk
Details
Side-by-side comparison of screenshots from Windows 2012 Server (281.14 KB, image/png)
2016-12-06 16:22, Thomas Nilefalk
Details


Note

You need to log in before you can comment on or make changes to this bug.


------- Comment #1 From cendio 2009-11-23 16:19:01 -------
According to http://en.wikipedia.org/wiki/Remote_Desktop_Protocol, this feature
was introduced with RDP 6.0 in 2006.
http://blogs.sepago.de/helge/2008/07/08/finally-font-smoothing-over-rdpica-on-server-2003/
is also very interesting. And this page:

http://katastrophos.net/andre/blog/2008/03/10/rdesktop-connect-to-windows-vista-with-cleartype-font-smoothing-enabled/

...is even more interesting in that it seems that one only needs to specify a
custom experience flag to get this working. 
------- Comment #2 From cendio 2009-12-01 09:35:35 -------
According to https://intranet.lkpg.cendio.se/tracker/issue9769, it works if one
specifies -x 0x80 and installs the MS patches. 
------- Comment #3 From cendio 2016-08-23 12:45:33 -------
Upstream commit d952852, enables FontSmoothing per default.

https://github.com/rdesktop/rdesktop/commit/d952852629d9ed685eafbfe9304cabcb0cc68f20
------- Comment #4 From cendio 2016-12-05 12:21:05 -------
Vendor drop in commit r31924 brings fix to enable font smoothing by default.
Moving this bug to 4.8.0 release.
------- Comment #5 From cendio 2016-12-06 07:31:32 -------
(In reply to comment #4)
> Vendor drop in commit r31924 brings fix to enable font smoothing by default.
> Moving this bug to 4.8.0 release.

Verified the difference using 4.7.0 rdesktop and nightly build 5310 against
2008r2 server. The login screen seems to always be fontsmoothed but you can se
the obvious difference in textrendering when using notepad.
------- Comment #6 From cendio 2016-12-06 15:14:51 -------
Created an attachment (id=758) [details]
Side-by-side comparison of screenshots from Windows 2008R2 Server
------- Comment #7 From cendio 2016-12-06 15:15:19 -------
Created an attachment (id=759) [details]
Side-by-side comparison of screenshots from Windows 2012 Server
------- Comment #8 From cendio 2016-12-06 15:17:23 -------
Verified smoothing difference between rdesktop 4.7.0 and 4.7.0-post 5310 on
Windows 2008R2 Server and Windows 2012 Server. See attachments.
------- Comment #9 From cendio 2016-12-06 16:21:56 -------
Created an attachment (id=760) [details]
 Side-by-side comparison of screenshots from Windows 2008R2 Server
------- Comment #10 From cendio 2016-12-06 16:22:43 -------
Created an attachment (id=761) [details]
 Side-by-side comparison of screenshots from Windows 2012 Server
------- Comment #11 From cendio 2017-03-08 16:37:00 -------
The vendor of rdesktop for this bug breaks seamless rdp, the actual commit
upstream is 3140824be [1]. when seamlessrdp is used, geometry of the window is
100% of workarea and therfore g_sizeopt=-100 is used. However the commit
changes this behaviour.


[1]
https://github.com/rdesktop/rdesktop/pull/42/commits/3140824be37ee4f02adbb235209015ea796233f0
------- Comment #12 From cendio 2017-03-09 12:24:16 -------
To reproduce the error, try launch a seamless rdp application like:

  ./rdesktop -A "%ProgramFiles%\ThinLinc\WTSTools\seamlessrdpshell.exe" -s  
"notepad" tezava
  Autoselecting keyboard map 'en-us' from locale
  warning: unable to open /etc/gssapi_mech.conf: errno 2 (No such file or  
directory)
  Connection established using SSL.
  Graphics(error): sec_process_crypt_info(), failed to parse crypt info
  X Error of failed request:  BadAlloc (insufficient resources for operation)
    Major opcode of failed request:  53 (X_CreatePixmap)
    Serial number of failed request:  46
    Current serial number in output stream:  54
------- Comment #14 From cendio 2017-03-09 14:20:52 -------
Vendordrop fixes the seamlessrdp crash
------- Comment #15 From cendio 2017-03-10 15:01:25 -------
(In reply to comment #14)
> Vendordrop fixes the seamlessrdp crash

Works well. Tested with jenkins build 4.7.0post-5392.r32282